Bug 1413923 (CVE-2016-5549) - CVE-2016-5549 OpenJDK: ECDSA implementation timing attack (Libraries, 8168724)
Summary: CVE-2016-5549 OpenJDK: ECDSA implementation timing attack (Libraries, 8168724)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5549
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170117,repo...
Depends On:
Blocks: 1410614
TreeView+ depends on / blocked
 
Reported: 2017-01-17 10:28 UTC by Tomas Hoger
Modified: 2019-06-08 21:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 09:25:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0175 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 19:50:08 UTC
Red Hat Product Errata RHSA-2017:0176 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-14 20:16:27 UTC
Red Hat Product Errata RHSA-2017:0263 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-02-09 17:05:35 UTC
Red Hat Product Errata RHSA-2017:0336 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2017-02-28 13:19:38 UTC
Red Hat Product Errata RHSA-2017:0337 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2017-02-28 13:19:27 UTC
Red Hat Product Errata RHSA-2017:0338 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2017-02-28 13:29:25 UTC
Red Hat Product Errata RHSA-2017:1216 normal SHIPPED_LIVE Moderate: java-1.7.1-ibm security update 2017-05-09 20:41:26 UTC

Description Tomas Hoger 2017-01-17 10:28:42 UTC
A covert timing channel flaw was found in the ECDSA implementation in the Libraries component of OpenJDK.  A remote attacker able to make a Java application generate ECDSA signatures on demand could possibly use this flaw to extract certain information about the key use via a timing side channel.

Comment 1 Tomas Hoger 2017-01-17 10:38:34 UTC
This fix patches code in the ec/impl/ec.c source file.  The OpenJDK packages in Red Hat Enterprise Linux do not use this EC cryptography implementation that is included in OpenJDK sources, but rather use code from the Mozilla NSS library, which includes EC implementation based on the same code originally from Sun Microsystems.

Apparently, this flaw was corrected in NSS back in 2011, and fixes were first included in NSS version 3.13:

https://bugzilla.mozilla.org/show_bug.cgi?id=660394
https://hg.mozilla.org/projects/nss/rev/079cfc4710c7
http://eprint.iacr.org/2011/232

Therefore, this fix is already included in the current versions of nss or nss-softokn packages included in Red Hat Enterprise Linux 5, 6, and 7.

Comment 3 Tomas Hoger 2017-01-17 22:00:07 UTC
Public now via Oracle CPU January 2017:

http://www.oracle.com/technetwork/security-advisory/cpujan2017-2881727.html#AppendixJAVA

The issue was fixed in Oracle JDK 8u121 and 7u131.

Comment 4 Tomas Hoger 2017-01-18 20:48:48 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/41594ac7ca27

Comment 5 errata-xmlrpc 2017-01-19 14:01:20 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2017:0176 https://rhn.redhat.com/errata/RHSA-2017-0176.html

Comment 6 errata-xmlrpc 2017-01-19 14:03:20 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:0175 https://rhn.redhat.com/errata/RHSA-2017-0175.html

Comment 7 errata-xmlrpc 2017-02-09 12:07:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:0263 https://rhn.redhat.com/errata/RHSA-2017-0263.html

Comment 8 errata-xmlrpc 2017-02-28 08:21:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2017:0337 https://rhn.redhat.com/errata/RHSA-2017-0337.html

Comment 9 errata-xmlrpc 2017-02-28 08:23:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:0336 https://rhn.redhat.com/errata/RHSA-2017-0336.html

Comment 10 errata-xmlrpc 2017-02-28 08:31:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2017:0338 https://rhn.redhat.com/errata/RHSA-2017-0338.html

Comment 11 errata-xmlrpc 2017-05-09 16:43:37 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2017:1216 https://access.redhat.com/errata/RHSA-2017:1216


Note You need to log in before you can comment on or make changes to this bug.